API DocumentationSnapshots
List Computers with snapshots
List Computers in a project that currently have at least one snapshot.
Rows are driven by vm_snapshot_cache (existence = has snapshots).
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Query Parameters
project_id*string
ID of the project used to filter results.
page*integer
Page number (1-based).
Range
1 <= valuepage_size*integer
Range
1 <= value <= 20filter?string
Case-insensitive substring match on Computer name.
order_by?string
Default
"snapshot_count"Value in
- "name"
- "snapshot_count"
- "total_size_gib"
- "created_at"
order_dir?string
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/snapshots?project_id=default&page=1&page_size=10"{ "computers": [ { "vm_id": "9a025db5-7896-46f6-883f-28fe3549d7b4", "name": "string", "status": "string", "region": "string", "snapshot_count": 1, "total_size_gib": 0, "created_at": "2019-08-24T14:15:22Z" } ], "total": 0, "max_snapshots": 5}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}